moeoGDominanceObjectiveVectorComparator(3)

NAME
moeoGDominanceObjectiveVectorComparator - This functor class allows to compare 2 objective vectors according to g-dominance.

SYNOPSIS

#include <moeoObjectiveVectorComparator.h>

Inherits moeoObjectiveVectorComparator< ObjectiveVector >< ObjectiveVector >.

  Public Member Functions
moeoGDominanceObjectiveVectorComparator (ObjectiveVector _ref)
Ctor.
bool operator() (const ObjectiveVector &_objectiveVector1, const ObjectiveVector &_objectiveVector2)
Returns true if _objectiveVector1 g-dominates _objectiveVector2.

  Private Member Functions
unsigned flag (const ObjectiveVector &_objectiveVector)
Returns the flag of _objectiveVector according to the reference point.

  Private Attributes
ObjectiveVector ref
the reference point
moeoParetoObjectiveVectorComparator< ObjectiveVector > paretoComparator
Pareto comparator.

Detailed Description

  template<class ObjectiveVector> class moeoGDominanceObjectiveVectorComparator< ObjectiveVector >
This functor class allows to compare 2 objective vectors according to g-dominance. The concept of g-dominance as been introduced in: J. Molina, L. V. Santana, A. G. Hernandez-Diaz, C. A. Coello Coello, R. Caballero, 'g-dominance: Reference point based dominance' (2007)

Definition at line 88 of file moeoObjectiveVectorComparator.h.

Constructor & Destructor Documentation

  template<class ObjectiveVector> moeoGDominanceObjectiveVectorComparator< ObjectiveVector >::moeoGDominanceObjectiveVectorComparator (ObjectiveVector _ref) [inline]

Ctor.

Parameters:
    _ref the reference point

Definition at line 96 of file moeoObjectiveVectorComparator.h.

Member Function Documentation

  template<class ObjectiveVector> bool moeoGDominanceObjectiveVectorComparator< ObjectiveVector >::operator() (const ObjectiveVector & _objectiveVector1, const ObjectiveVector & _objectiveVector2) [inline]

Returns true if _objectiveVector1 g-dominates _objectiveVector2.

Parameters:
    _objectiveVector1 the first objective vector
    _objectiveVector2 the second objective vector

Definition at line 105 of file moeoObjectiveVectorComparator.h.

References moeoGDominanceObjectiveVectorComparator< ObjectiveVector >::flag(), and moeoGDominanceObjectiveVectorComparator< ObjectiveVector >::paretoComparator.

  template<class ObjectiveVector> unsigned moeoGDominanceObjectiveVectorComparator< ObjectiveVector >::flag (const ObjectiveVector & _objectiveVector) [inline, private]

Returns the flag of _objectiveVector according to the reference point.

Parameters:
    _objectiveVector the first objective vector

Definition at line 139 of file moeoObjectiveVectorComparator.h.

References moeoGDominanceObjectiveVectorComparator< ObjectiveVector >::ref.

Referenced by moeoGDominanceObjectiveVectorComparator< ObjectiveVector >::operator()().

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.